{
  inputs,
  pkgs,
  userSettings,
  ...
}: {
  imports = [
    inputs.home-manager.nixosModules.home-manager
  ];
  home-manager = {
    extraSpecialArgs = { inherit inputs pkgs; };
    backupFileExtension = "backup";
    users = {
      ${userSettings.username} = import ./../../users/${userSettings.username}/home.nix;
    };
  };
}

